Subject: bug#8168: closed (Re: bug#10816: [PATCH] aclocal: create local directory where to install m4 files)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Mar 2012 09:18:03 +0000

Your bug report

#10816: macros directory not created automatically

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10816: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10816
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10816: [PATCH] aclocal: create local directory where to install m4 files
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 17 Mar 2012 09:46:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/15/2012 08:57 PM, Stefano Lattarini wrote:
> Fixes automake bug#8168 and bug#10816.
> 
> A call like "aclocal -I m4 --install" used to fail if the 'm4'
> directory wasn't pre-existing.  This could be particularly
> annoying when running in a checked-out version from a VCS like
> git, which doesn't allow empty directories to be tracked.
> 
> * aclocal.in (File::Path): New import.
> (scan_m4_dirs): Don't die if the first directory of type FT_USER
> doesn't exist and the '--install' option was given; that directory
> will be created later in ...
> (install_file): ... here.  Change signature: now it takes as second
> argument the destination directory rather than the destination file.
> Crate the destination directory if it doesn't already exist.  In
> verbose mode, tell what is being copied where.
> (write_aclocal): Update.
> * NEWS, THANKS: Update.
> * tests/aclocal-install-fail.test: New test.
> * tests/aclocal-install-mkdir.test: Likewise.
> * tests/aclocal-no-install-no-mkdir.test: Likewise.
> * tests/aclocal-verbose-install.test: Likewise.
> * tests/list-of-tests.mk: Add them.
> 
> Signed-off-by: Stefano Lattarini <[email-masked]>
> ---
> 
>  I will push this in a couple of days if there is no objection.
>  Thanks to David and Javier, and sorry for the awful delay.
> 
No objection seen so far, so I've pushed this patch (with minor
adjustments, see commit a75a1a52).  I'm also closing the relevant
bug reports.

Regards,
  Stefano

Subject: Re: macros directory not created automatically
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 3 Mar 2011 21:36:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[adding bug-automake]

On Thursday 03 March 2011, Javier Jardón wrote:
> Hi,
Hi Javier, and thanks for the report.

> I'm using
> 
> ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
> 
> in my main Makefile.am, but I have to add the m4 directory to the git
> tree, or create it in my autogen script (and this doesnt work if I do
> not use a autogen file and only autoreconf instead)
> 
> Shouldnt be automake smart enough to create that directory automatically?
>
Probably yes -- but IMHO it should then also be smart enough to create
the directory *only* when it makes sense, i.e. only when the `--install'
flag is used too.

Also, it might be useful if aclocal would not complain (or at least would
not error out) in case it is passed a non-existent or unreadable directory
through the `-I' option.  This "laxer" behaviour is implemented in many
other gnu tools already (e.g., make, m4. gcc).

I might take a look at this issues in the next(ish) days.

Thanks,
  Stefano